<!DOCTYPE html>
<html lang="en">

<head>
  
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title> Home</title>

  <script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js"></script>
  <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
  <script src="./build/entry.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <!--[if lt IE 9]>
    <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
  <link href="https://fonts.googleapis.com/css?family=Roboto:100,400,700|Inconsolata,700" rel="stylesheet">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
  <link type="text/css" rel="stylesheet" href="https://jmblog.github.io/color-themes-for-google-code-prettify/themes/tomorrow-night.min.css">
  <link type="text/css" rel="stylesheet" href="styles/app.min.css">
  <link type="text/css" rel="stylesheet" href="styles/iframe.css">
  <link type="text/css" rel="stylesheet" href="">
  <script async defer src="https://buttons.github.io/buttons.js"></script>

  
</head>



<body class="layout small-header">
    <div id="stickyNavbarOverlay"></div>
    

<div class="top-nav">
    <div class="inner">
        <a id="hamburger" role="button" class="navbar-burger" aria-label="menu" aria-expanded="false">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
        <div class="logo">
            
            
        </div>
        <div class="menu">
            
            <div class="navigation">
                <a
                    href="index.html"
                    class="link"
                >
                    API Documentation
                </a>
                
                
                
            </div>
        </div>
    </div>
</div>
    <div id="main">
        <div
            class="sidebar "
            id="sidebarNav"
        >
            
            <nav>
                
                    <h2><a href="index.html">Documentation</a></h2><div class="category"><h3>Global</h3><ul><li><a href="global.html#loadMSData">loadMSData</a></li><li><a href="global.html#params">params</a></li><li><a href="global.html#ProfileData">ProfileData</a></li><li><a href="global.html#SignInButton">SignInButton</a></li></ul></div>
                
            </nav>
        </div>
        <div class="core" id="main-content-wrapper">
            <div class="content">
                <header class="page-title">
                    <p></p>
                    <h1>Home</h1>
                </header>
                



    


    <h3> </h3>










    




    <section>
        <article><h1>MS API Testing [Conference Rooms Calendar]</h1>
<p>This project was created to test how we can connect and load data from MS Calendar. In the demo app we login and then we have access to load the two calendars.</p>
<p>The structure ot the project is pretty simple, only missing thing is a logout button (we will need it in the CRC app).</p>
<h2>Using the project</h2>
<pre class="prettyprint source"><code>1) npm install OR yarn install
2) npm run dev OR yarn dev
</code></pre>
<h2>To Do</h2>
<ul>
<li>[] Add eslint + prettier + husky + precommit</li>
<li>[] Add Documentations regarding projec</li>
</ul>
<h2>Usefull docs</h2>
<ul>
<li><a href="https://docs.microsoft.com/en-us/graph/api/group-list-events?view=graph-rest-1.0&amp;tabs=http">Calendar API</a> - everything you need for the endpoints</li>
<li><a href="https://docs.microsoft.com/en-us/azure/active-directory/develop/tutorial-v2-react">Tutorial: Auth Users and fetch MS data</a> - the example project was build on top of these examples</li>
<li><a href="https://github.com/AzureAD/microsoft-authentication-library-for-js/blob/dev/lib/msal-browser/docs/initialization.md">MS Auth workflow</a> - we're using MSAL for authenticating our app, this is a good doc/reference point for further configurations
Additional</li>
<li><a href="https://docs.microsoft.com/en-us/azure/active-directory/develop/quickstart-v2-javascript-auth-code-react">Quickstart: Sign in and get an access token in a React SPA using the auth code flow</a></li>
<li><a href="https://docs.microsoft.com/en-us/graph/outlook-get-free-busy-schedule">Get free/busy schedule of users and resources</a></li>
</ul>
<h2>This project uses React + Vite</h2>
<p>Vite is a pretty cool compiler + build tool, if you decide you can use it for the actual CRC app.
<a href="https://vitejs.dev/guide/">More on Vite</a></p></article>
    </section>






            </div>
            
            <footer class="footer">
                <div class="content has-text-centered">
                    <p>Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.7</a></p>
                    <p class="sidebar-created-by">
                        <a href="https://github.com/SoftwareBrothers/better-docs" target="_blank">BetterDocs theme</a> provided with <i class="fas fa-heart"></i> by 
                        <a href="http://softwarebrothers.co" target="_blank">SoftwareBrothers - JavaScript Development Agency</a>
                    </p>
                </div>
            </footer>
            
        </div>
        <div id="side-nav" class="side-nav">
        </div>
    </div>
<script src="scripts/app.min.js"></script>
<script>PR.prettyPrint();</script>
<script src="scripts/linenumber.js"> </script>

</body>
</html>